DU AN PHAN MEM QUAN LY TAI SAN NGAN HANG BAN VIET - Feature #33

IMPORT DATA
07/12/2020 10:08 PM - Luc Tran Van

Status: Closed Start date: 07/12/2020
Priority: Normal Due date:

Assignee: Luc Tran Van % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 07/13/2020 11:31 AM - Luc Tran Van

DELETE FROM PL_REQUEST PROCESS WHERE REQ_ID IN (SELECT REQ_PAY_ID FROM TR_REQ_ADVANCE_PAYMENT)
DELETE FROM PL_REQUEST PROCESS_CHILD WHERE REQ_ID IN (SELECT REQ_PAY_ID FROM TR_REQ_ADVANCE_PAYMENT)
DELETE FROM PL_PROCESS WHERE REQ_ID IN (SELECT REQ_PAY_ID FROM TR_REQ_ADVANCE_PAYMENT)

DELETE FROM TR_REQ_ADVANCE_PAYMENT

DELETE FROM TR_REQ_ADVANCE DT

DELETE FROM TR_REQ_ADVANCE_CUS

DELETE FROM TR_REQ_PAY BUDGET

DELETE FROM TR_REQ_PAY_ENTRIES

DELETE FROM TR_REQ_PAY CAT

DELETE FROM TR_REQ_PAY_INVOICE

DELETE FROM TR_REQ_PAY_METHOD

DELETE FROM TR_REQ_PAY SCHEDULE

DELETE FROM TR_REQ_PAYMENT

DELETE FROM TR_REQ_PAY_SERVICE

DELETE FROM TR_REQ_PAYMENT DT

DELETE FROM TR_REQ_PAY_PERIOD

DELETE FROM TR_REQ_PAY_INVOICE_UPD

DELETE FROM TR_REQ_PAY_INVOICE_UPD DT

DELETE FROM TR_REQ_PAY_INVOICE_LOG

#2 - 07/13/2020 11:34 AM - Truong Nguyen Vu

UPDATE PL_TRADEDETAIL SET AMT_EXE =0,AMT_ETM=0,AMT_TF=0,AMT_RECEIVE_TF=0
DELETE FROM TR_REQUEST_DOC

DELETE FROM TR_REQUEST_DOC_DT

DELETE FROM TR_REQUEST_COSTCENTER

DELETE FROM PL_REQUEST_DOC

DELETE FROM PL_REQUEST_DOC_DT
DELETE FROM PL_REQUEST_COSTCENTER
DELETE FROM PL_REQUEST_TRANSFER

#3 - 07/13/2020 11:36 AM - Truong Nguyen Vu

UPDATE PL_TRADEDETAIL SET AMT_EXE =0,AMT_ETM=0,AMT_TF=0,AMT_RECEIVE_TF=0
DELETE FROM TR_REQUEST_DOC

DELETE FROM TR_REQUEST_DOC_DT

DELETE FROM TR_REQUEST_COSTCENTER

DELETE FROM PL_REQUEST_DOC

DELETE FROM PL_REQUEST_DOC_DT
DELETE FROM PL_REQUEST_COSTCENTER
DELETE FROM PL_REQUEST_TRANSFER
DELETE FROM TR_PO_MASTER

DELETE FROM TR_PO_DETAIL

DELETE FROM TR_PO_PAYMENT

#4 - 07/13/2020 01:35 PM - Luc Tran Van
- File CM_ACCOUNT_PAY .txt added

#5 - 07/13/2020 02:05 PM - Luc Tran Van
INSERT INTO TL_SYSROLE_LIMIT VALUES ('LM000090','KT",50000000,","admin’,'U',",getdate(),null,null,' DCNS',null,null)

#6 - 07/13/2020 02:40 PM - Luc Tran Van
- File Bo sung ngan sach 1307.xls added

#7 - 07/13/2020 02:44 PM - Luc Tran Van

ALTER PROCEDURE [dbo].[TR_REQ_DOC_Ins_To_PO] @p_TR_REQ_ID VARCHAR

AS

BEGIN TRANSACTION;

DECLARE @I_SUP_ID VARCHAR

DECLARE @p_PO_CODE VARCHAR,

@p_BRANCH_ID VARCHAR,

@p_SUP_ID VARCHAR,

@p_TOTAL_AMT DECIMAL,

@p_MAKER_ID VARCHAR,

@p_TR_REQ_CODE VARCHAR,

@p_SUP_NAME NVARCHAR,

@p_SUP_ADDR NVARCHAR,

@p_BRANCH_RE VARCHAR,

@p_PO_NAME NVARCHAR;

--- LAY DANH SACH NHA CUNG CAP CUA HANG HOA TRONG PYCMS - LUCTV 25052020
DECLARE @TABLE_NCC TABLE (SUP_ID VARCHAR)

INSERT INTO @TABLE_NCC SELECT SUP_ID FROM TR_REQUEST_DOC_DT WHERE REQ_DOC_ID =@p_TR_REQ_ID GROUP BY SUP_ID
WHILE FROM @TABLE_NCC)>0)

BEGIN

SET @|_SUP_ID =(SELECT TOP 1 SUP_ID FROM @TABLE_NCC)

--insert master

DECLARE @I|_PO_ID VARCHAR,;

EXEC SYS_CodeMasters_Gen 'TR_PO_MASTER', @|_PO_ID OUT,;

IF @ PO _ID="0OR @I PO_ID IS NULL

GOTO ABORT;

SELECT
@p_BRANCH_ID=BRANCH_DVMS,@p_BRANCH_RE=BRANCH_CREATE,@p_TR_REQ_CODE=REQ_CODE,@p_PO_NAME=REQ_REASON,
@p_MAKER_ID=USER_DVMS FROM dbo.TR_REQUEST_DOC WHERE REQ_ID=@p_TR_REQ_ID

--SELECT TOP 1 @p_SUP_ID = SUP_ID FROM dbo.TR_REQUEST_DOC_DT WHERE REQ_DOC_ID=Q@p_TR_REQ_ID
SET @p_SUP_ID =Q@1_SUP_ID
SET @p_TOTAL_AMT= (SELECT SUM(TOTAL_AMT) FROM dbo.TR_REQUEST_DOC_DT WHERE REQ_DOC_ID=Q@p_TR_REQ_ID AND SUP_
ID =Qp_SUP_ID)
--TU PHAT SINH SO PO
DECLARE @ldate INT = (SELECT YEAR(GETDATE()) );
EXEC [dbo].[TR_PO_MASTER_NO_Gen] @p_BRANCH_ID, @ldate, Qp_PO_CODE OUT;
IF @p_PO_CODE = "'
OR @p_PO_CODE IS NULL
GOTO ABORT;

INSERT INTO TR_PO_MASTER

(
[PO_TYPE],
[PO_ID],
[PO_CODE],
[PO_NAME],
[CONTRACT_ID],
[SUP_ID],
[SUP_NAME],
[SUP_ADDR],
[INPUT_DT],
[PAYMENT_DT],
[TOTAL_AMT],
[REQ_DOC_ID],
[DELIVERY_DT],
[PAYAPP_DT],
[NOTES],
[RECORD_STATUS],
[MAKER_ID],
[CREATE_DT],
[AUTH_STATUS],
[CHECKER_ID],
[APPROVE_DT],
BRANCH_ID

)

VALUES

(1, 1_PO_ID, @p_PO_CODE, @p_PO_NAME, '', @p_SUP_ID, @p_SUP_NAME, G@p_SUP_ADDR, GETDATE(),
NULL, @p_TOTAL_AMT, @p_TR_REQ_ID, NULL,
NULL, '', 'l', @p_MAKER_ID, GETDATE (),
'E', NULL, NULL, @p_BRANCH_ID);
IF @Error <> 0
GOTO ABORT;
PRINT 'INSERT MASTER SUCCESS';
INSERT INTO dbo.TR_PO_MASTER_TEMP
(
PO_ID,
TR_REQ_TID,
TR_REQ_CODE
)

VALUES

( @1_PO_1ID, —-— PO_ID - varchar (15)
@p_TR_REQ_ID, —-— TR_REQ_ID - varchar (20)
@p_TR_REQ_CODE -- TR_REQ_CODE - varchar (20)

)

DECLARE Q@HANGHOA_ID VARCHAR (20),@QUANTITY DECIMAL(18,0),@PRICE DECIMAL(18,2),@TOTAL_AMT DECIMAL(18,2),QHH
_TYPE VARCHAR (20), @HH_NAME NVARCHAR (100)

DECLARE lstData CURSOR FOR

SELECT HANGHOA_ID,QUANTITY,PRICE, TOTAL_AMT FROM dbo.TR_REQUEST_DOC_DT WHERE REQ_DOC_ID=@p_TR_REQ_ID AND S
UP_ID =Qp_SUP_ID

OPEN lstData
FETCH NEXT FROM lstData INTO HANGHOA_ID, QQUANTITY, @PRICE, @TOTAL_AMT
WHILE QFETCH_STATUS = 0
BEGIN
SELECT @HH_NAME= HH_NAME, @HH_TYPE=HH_TYPE_ID FROM dbo.CM_HANGHOA WHERE HH_ID=Q@HANGHOA_ID
DECLARE @1_PD_ID VARCHAR(15)
EXEC SYS_CodeMasters_Gen 'TR_PO_DETAIL', @1_PD_ID out
IF Q@1_PD_ID='' OR @1_PD_ID IS NULL GOTO ABORT

INSERT INTO dbo.TR_PO_DETAIL

(
PD_ID,
PO_ID,
PLAN_ID,
TRADE_ID,
GOODS_1ID,
DESCRIPTION,
UNIT_ID,
QUANTITY,
PRICE,
TOTAL_AMT,
IS_DELIVERY,
DELIVERY_DT,
PAYMENT_STATUS,
AMOUNT_PAID,
PAID_DT,
INVOICENO,
NOTES,
RECEIVE_BRANCH,
RECEIVE_ADDR,
RECEIVE_PERSON,
RECEIVE_TEL,
RECORD_STATUS,
MAKER_ID,
CREATE_DT,
AUTH_STATUS,
CHECKER_ID,
APPROVE_DT,
EXP_DELIVERY_DT,
GOODS_NAME,
INVOICE_DT,
GOODSTYPE_REAL,
VAT,
PRICE_VAT,
CONTRACT_DT

)

VALUES

( @1_PD_ID, —— PD_ID - varchar (15)
@1_PO_ID, —-— PO_ID - varchar(15)
Y, —— PLAN_ID - varchar(15)
0o, —— TRADE_ID - varchar (15)
@HANGHOA_ID, —— GOODS_ID - varchar (15)
N'', —— DESCRIPTION - nvarchar (500)

0o, —— UNIT_ID - varchar(15)

@QUANTITY, —— QUANTITY - decimal (18, 0)

ROUND (@PRICE/1.1,0), —— PRICE - decimal (18, 0)
@TOTAL_AMT, -— TOTAL_AMT - decimal (18, 0)

vy, —-— IS_DELIVERY - varchar (1)

NULL, -- DELIVERY_DT - datetime

'CTT', —— PAYMENT_STATUS - varchar (4)

NULL, —— AMOUNT_PAID - decimal (18, 0)

NULL, -- PAID_DT - datetime

0o, —— INVOICENO - varchar (1000)

N'', —— NOTES - nvarchar (1000)

@p_BRANCH_RE, —— RECEIVE_BRANCH - varchar (15)
N'', —— RECEIVE_ADDR - nvarchar (1000)

N'', —— RECEIVE_PERSON - nvarchar (500)

Y, —— RECEIVE_TEL - varchar (100)

0o, —— RECORD_STATUS - varchar (1)
@p_MAKER_ID, —— MAKER_ID - varchar (15)
GETDATE (), —-- CREATE_DT - datetime

0o, —— AUTH_STATUS - varchar (50)

vy, —— CHECKER_ID - varchar (15)

NULL, -- APPROVE_DT - datetime

NULL, —-- EXP_DELIVERY_DT - datetime

@HH_NAME, —— GOODS_NAME - nvarchar (500)

NULL, -- INVOICE_DT - datetime

@HH_TYPE, —— GOODSTYPE_REAL - varchar (15)
10, -— VAT - decimal (18, 2)
——@TOTAL_AMT - (ROUND (@PRICE/1.1,0) *Q@QUANTITY), —— PRICE_VAT - decimal (18, 0)
QPRICE ROUNBARPRICEAI—1569

T I U7

L CONTRACT_DT - varchar (15)
)

FETCH NEXT FROM lstData INTO @HANGHOA_ID, @QUANTITY, @PRICE, @TOTAL_AMT
END
CLOSE lstData;
DEALLOCATE 1lstData;

SET @TOTAL_AMT=(SELECT SUM(TOTAL_AMT) AS TOTAL_AMT FROM dbo.TR_REQUEST_DOC_DT WHERE REQ_DOC_ID=@p_TR_REQ_ID AN
D SUP_ID =@p_SUP_ID)

DECLARE @1_PAY_ID VARCHAR(15)
EXEC SYS_CodeMasters_Gen 'TR_PO_PAYMENT', @1_PAY_ID out
IF Q@1_PAY_ID='' OR @1_PAY_ID IS NULL GOTO ABORT
INSERT INTO dbo.TR_PO_PAYMENT
(
PAY_ID,
PO_ID,
PAY_PHASE,
EXP_DT,
[PERCENT],
AMOUNT,
NOTES,
RECORD_STATUS,
MAKER_ID,
CREATE_DT,
AUTH_STATUS,
CHECKER_ID,

APPROVE_DT

)

VALUES

( @1_PAY_ID, —— PAY_ID - varchar (15)
@1_PO_ID, —-— PO_ID - varchar (15)
', —-— PAY_PHASE - varchar (20)
GETDATE (), -- EXP_DT - datetime
50, —— PERCENT - decimal (18, 0)
@TOTAL_AMT / 2 , —— AMOUNT - decimal (18, 0)
N'', —— NOTES - nvarchar (1000)
0o, —— RECORD_STATUS - varchar (1)
@p_MAKER_ID, —— MAKER_ID - varchar(15)
GETDATE (), —-- CREATE_DT - datetime
0G0, —— AUTH_STATUS - varchar (50)
vy, —— CHECKER_ID - varchar (15)
NULL -- APPROVE_DT - datetime

)
EXEC SYS_CodeMasters_Gen 'TR_PO_PAYMENT', @1_PAY_ID out
IF @1_PAY_ID='' OR @1_PAY ID IS NULL GOTO ABORT
INSERT INTO dbo.TR_PO_PAYMENT
(

PAY_ID,

PO_ID,

PAY_PHASE,

EXP_DT,

[PERCENT],

AMOUNT,

NOTES,

RECORD_STATUS,

MAKER_ID,

CREATE_DT,

AUTH_STATUS,

CHECKER_ID,

APPROVE_DT

)

VALUES

( @1_PAY_ID, —— PAY_ID - varchar (15)
@1_PO_1ID, —— PO_ID - varchar (15)
2, —-— PAY_PHASE - varchar (20)
GETDATE (), -- EXP_DT - datetime
50, —— PERCENT - decimal (18, 0)
@TOTAL_AMT / 2 , —— AMOUNT - decimal (18, 0)
N'', —— NOTES - nvarchar (1000)
0qv, —— RECORD_STATUS - varchar (1)
@p_MAKER_ID, —— MAKER_ID - varchar(15)
GETDATE (), —-- CREATE_DT - datetime
'E', —— AUTH_STATUS - varchar (50)
vy, —— CHECKER_ID - varchar (15)
NULL -- APPROVE_DT - datetime

)

IF (@TOTAL_AMT <=5000000)
BEGIN
UPDATE dbo.TR_PO_MASTER SET AUTH_STATUS='A' WHERE PO_ID=Q@1_PO_ID
END
——XOA DI NHA CUNG CAP
DELETE FROM Q@TABLE_NCC WHERE SUP_ID =(SELECT TOP 1 SUP_ID FROM @TABLE_NCC)
——— KET THUC VONG LAP KIEM TRA DANH SACH NHA CUNG CAP PYCMS
END
COMMIT TRANSACTION;
RETURN 1;
ABORT:
BEGIN
ROLLBACK TRANSACTION;
RETURN 1;
END;
ABORT1:
BEGIN
CLOSE lstData;
DEALLOCATE 1lstData;
ROLLBACK TRANSACTION;
RETURN 1;
END;

#8 - 07/13/2020 02:45 PM - Luc Tran Van
- File cap nhat ham sinh PO.txt added

#9 - 07/13/2020 04:05 PM - Luc Tran Van
- File CM ACCOUNT INS.txt added

#10 - 09/29/2020 10:33 AM - Luc Tran Van

- Status changed from New to Closed

Files

10072020 11H34 FILE 2 LAY DU LIEU DON VI PHONG BAN IMPORS2N&3 31 DUNG.5BI/12/2020 Luc Tran Van
3. IMPORT DATA.txt 1.93 MB 07/12/2020 Luc Tran Van
DATA IMPORT LAI LAN 2.sq| 3.81 MB 07/12/2020 Luc Tran Van
CM_ACCOUNT_PAY.ixt 44.2 KB 07/13/2020 Luc Tran Van
Bo sung ngan sach 1307.xls 1.04 MB 07/13/2020 Luc Tran Van
cap nhat ham sinh PO.txt 8.04 KB 07/13/2020 Luc Tran Van
CM ACCOUNT INS.txt 2.45 KB 07/13/2020 Luc Tran Van
